SDL_FillRect(3)

NAME
SDL_FillRect- This function performs a fast fill of the given rectangle with some color

SYNOPSIS

#include "SDL.h"

int SDL_FillRect(SDL_Surface *dst, SDL_Rect *dstrect, Uint32 color);

DESCRIPTION

This function performs a fast fill of the given rectangle with color. If dstrect is NULL, the whole surface will be filled with color.

The color should be a pixel of the format used by the surface, and can be generated by the SDL_MapRGB function.

If there is a clip rectangle set on the destination (set via SDL_SetClipRect) then this function will clip based on the intersection of the clip rectangle and the dstrect rectangle.

RETURN VALUE

This function returns 0 on success, or -1 on error.

SEE ALSO

SDL_MapRGB, SDL_BlitSurface, SDL_Rect